from django.conf.urls.defaults import *
from datetime import date
from news.models import News

urlpatterns = patterns('',
    url(r'^$', 'django.views.generic.date_based.archive_index', {
                                    'queryset' : News.active.all(),
                                    'date_field' : 'event_date',
                                    'allow_future': True
        }, 'news-archive-list'),

    url(r'^year/(?P<year>\d+)/$', 'django.views.generic.date_based.archive_year', {
                                    'queryset' : News.active.all(),
                                    'date_field' : 'event_date',
                                    'make_object_list': True,
                                    'allow_future': True
        }, 'news-year-list'),

    url(r'^month/(?P<year>\d+)/(?P<month>\d+)/$', 'django.views.generic.date_based.archive_month', {
                                    'queryset' : News.active.all(),
                                    'date_field' : 'event_date',
                                    'month_format' : "%m",
                                    'allow_future': True
        }, 'news-month-list'),

    url(r'^(?P<object_id>\d+)/$', 'news.views.news_detail', {}, 'news-detail'),
)