# -*- coding: utf-8 -*-

from django.core.paginator import Paginator, InvalidPage, EmptyPage
from django.shortcuts import get_object_or_404
from django.template import RequestContext
from django.shortcuts import render_to_response
from news.models import *

def news_detail(request, object_id, template='news/news_detail.html', extra_context=None):
    if extra_context is None: extra_context = {}
    news = get_object_or_404(News, pk=object_id)
    extra_context.update({'news':news})
    return render_to_response(template,
                              extra_context,
                              context_instance=RequestContext(request))


#
#def news_list(request, template='news/news_list.html'):
#    try:
#        paginator = Paginator(CatalogCategory.objects.all(), 25) # Show 25 contacts per page
#    except CatalogCategory.DoesNotExist:
#        pass
#
#    # Make sure page request is an int. If not, deliver first page.
#    try:
#        page = int(request.GET.get('page', '1'))
#    except ValueError:
#        page = 1
#
#    # If page request (9999) is out of range, deliver last page of results.
#    try:
#        catalog_category = paginator.page(page)
#    except:
#        catalog_category = paginator.page(paginator.num_pages)
#
#    ctx = {
#        'catalog_category': category,
#    }
#
#    return render_to_response(template, context_instance=RequestContext(request, ctx))